%define oname qtstyleplugins

Summary:	Additional style plugins for Qt5
Name:		qt5-style-plugins
Version:	5.8.0
Release:	5
License:	LGPLv2.1+
Group:		System/Libraries
Url:		https://github.com/qtproject/qtstyleplugins
# Snapshot from 2017.03.11
Source0:	%{oname}-%{version}.tar.gz
BuildRequires:	qmake5
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-x11-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(x11)
Suggests:	qt5-platformtheme-gtk2
Suggests:	qt5-style-bb10
Suggests:	qt5-style-cleanlooks
Suggests:	qt5-style-gtk2
Suggests:	qt5-style-motif
Suggests:	qt5-style-plastique

%description
Additional style plugins for Qt5 moved out of Qt5 base tree.

%files

#----------------------------------------------------------------------------

%package -n qt5-platformtheme-gtk2
Summary:	GTK 2.x platform theme for Qt 5
Group:		System/Libraries
Requires:	qt5-style-gtk2

%description -n qt5-platformtheme-gtk2
GTK 2.x platform theme for Qt 5. This plugin allows Qt to render
controls using GTK 2.x themes - making it integrate better with GTK
based desktops.

%files -n qt5-platformtheme-gtk2
%{_qt5_plugindir}/platformthemes/libqgtk2.so

#----------------------------------------------------------------------------

%package -n qt5-style-bb10
Summary:	BlackBerry 10 style for Qt5
Group:		System/Libraries

%description -n qt5-style-bb10
BlackBerry 10 style for Qt5.

%files -n qt5-style-bb10
%{_qt5_plugindir}/styles/libbb10styleplugin.so

#----------------------------------------------------------------------------

%package -n qt5-style-cleanlooks
Summary:	Cleanlooks style for Qt5
Group:		System/Libraries

%description -n qt5-style-cleanlooks
Cleanlooks style for Qt5.

%files -n qt5-style-cleanlooks
%{_qt5_plugindir}/styles/libqcleanlooksstyle.so

#----------------------------------------------------------------------------

%package -n qt5-style-gtk2
Summary:	GTK 2.x style for Qt5
Group:		System/Libraries

%description -n qt5-style-gtk2
GTK 2.x style for Qt5.

%files -n qt5-style-gtk2
%{_qt5_plugindir}/styles/libqgtk2style.so

#----------------------------------------------------------------------------

%package -n qt5-style-motif
Summary:	Motif style for Qt5
Group:		System/Libraries

%description -n qt5-style-motif
Motif style for Qt5.

%files -n qt5-style-motif
%{_qt5_plugindir}/styles/libqmotifstyle.so

#----------------------------------------------------------------------------

%package -n qt5-style-plastique
Summary:	Plastique style for Qt5
Group:		System/Libraries

%description -n qt5-style-plastique
Plastique style for Qt5.

%files -n qt5-style-plastique
%{_qt5_plugindir}/styles/libqplastiquestyle.so

#----------------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build
%qmake_qt5 %{oname}.pro
%make

%install
%makeinstall_qt

rm -rf %{buildroot}%{_libdir}/cmake


%changelog

* Fri Nov 24 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-5
- (3052577) Bump release


